⌘K

Kirin V3 Turbo - Text to Video

kirin_v3_turbo_t2v

Kirin V3 Turbo text-to-video generation interface. Supports 720P to 4K video output, 3 to 15 second duration, text-to-video aspect ratios, sound generation, prompt enhancement, and subject reference.

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key.

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request.

Value: kirin_v3_turbo_t2v


prompt string required

Video generation prompt. You can include positive and negative descriptions in the same prompt.


resolution string

Video output resolution.

Options: 720P, 1080P, 2K, 4K

Default: 720P


duration string

Generated video duration in seconds.

Options: 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15

Default: 5


aspect_ratio string

Video aspect ratio.

Options: 16:9, 9:16, 1:1

Default: 16:9


sound string

Whether to generate sound with the video.

Options: on, off

Default: off


enhance_prompt boolean | string

Whether to enable prompt enhancement.

Options: true, false, on, off, enabled, disabled


element_list array

Subject reference list. Configure subject references with subject IDs from the subject library.

To create a subject, refer to: kirin_custom_elements

"element_list": [
  {
    "element_id": 123456
  }
]

Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information. Only present when status is failed.

code string

Error code.

error_message string

Detailed error message.


output array

Generation results. Only present when status is completed.

content array

List of generated content.

type string

Resource type.

Value: video

url string

Generated video URL.

duration number

Generated video duration in seconds.

jobId string

Remote job ID.


usage object

Usage statistics. Only present when status is completed.


metadata object

Metadata information.


Error Codes

Error CodeDescription
002011095Internal generation error
002011096Result parsing error
002011097HTTP error response